gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestSuite

Contents

- Exported types
- Methods
  - add
  - addSuite

Description

An opaque structure representing a test suite.

Synopsis

- newtype TestSuite = TestSuite (ManagedPtr TestSuite)
- noTestSuite :: Maybe TestSuite
- testSuiteAdd :: (HasCallStack, MonadIO m) => TestSuite -> TestCase -> m ()
- testSuiteAddSuite :: (HasCallStack, MonadIO m) => TestSuite -> TestSuite -> m ()

# Exported types

newtype TestSuite Source #

Memory-managed wrapper type.

Constructors

TestSuite (ManagedPtr TestSuite) |

Instances

WrappedPtr TestSuite Source # |
Instance details Defined in GI.GLib.Structs.TestSuite Methods wrappedPtrCalloc :: IO (Ptr TestSuite) Source # wrappedPtrCopy :: TestSuite -> IO TestSuite Source # wrappedPtrFree :: Maybe (FunPtr (Ptr TestSuite -> IO ())) Source #

noTestSuite :: Maybe TestSuite Source #

A convenience alias for `Nothing` :: `Maybe` `TestSuite`.

# Methods

## add

testSuiteAdd Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TestSuite | `suite`: a `TestSuite`
-> TestCase | `testCase`: a `TestCase`
-> m () |

Adds `testCase` to `suite`.

Since: 2.16

## addSuite

testSuiteAddSuite Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TestSuite | `suite`: a `TestSuite`
-> TestSuite | `nestedsuite`: another `TestSuite`
-> m () |

Adds `nestedsuite` to `suite`.

Since: 2.16